declare const __APP_ENV: ImportMetaEnv;
class TreeNodeVo<T, E = Record<string, any>> {
    value: T;
    parentValue: T;
    label: string;
    orderIndex?: number;
    children?: TreeNodeVo<T>[]
    extData?: E;
}

/**
 * 全局返回
 */
interface JsonResult<T> {
    code: number;
    message: string;
    data?: T;
}


export interface SecurityUnitPagerQueryParams {
    /** 名称 **/
    name?: string;
    /** 社会编码 **/
    socialCode?: string;
    /** 行政区划编码 **/
    administrativeDivisionCodes?: string[];
    /** 是否启用 **/
    isEnable?: number;
    /** 审核状态 **/
    checkStatus?: number;
}
interface BaseEnum<T> {
    value: T;
    label: string
}
class TreeNodeVo<T, E = Record<string, any>> {
    value: T;
    parentValue: T;
    label: string;
    orderIndex?: number;
    children?: TreeNodeVo<T>[]
    extData?: E;
}
interface Grid {
    //栅格占据的列数
    span?: number;
    //栅格左侧的间隔格数
    offset?: number;
    //栅格向右移动格数
    push?: number;
    //栅格向左移动格数
    pull?: number;
    //<768px 响应式栅格数或者栅格属性对象
    xs?: number;
    //≥768px 响应式栅格数或者栅格属性对象
    sm?: number;
    //≥992px 响应式栅格数或者栅格属性对象
    md?: number;
    //≥1200px 响应式栅格数或者栅格属性对象
    lg?: number;
    //≥1920px 响应式栅格数或者栅格属性对象
    xl?: number;
}
interface dataStatus {
    account: string;
    password: string;
    remark: string;
    checkStatus: {
        extData: {
            color: string;
        };
        label: string;
        value: number;
    };
}
class SelectNodeVo<T, E = Record<string, any>> {
    value: T;
    label: string;
    options?: SelectNodeVo<T>[]
    orderIndex?: number;
    disabled?: boolean;
    extData?: E
}

interface ExtData {
    color?: string;
}

interface Option {
    label: string;
    value: string | number;
    extData?: ExtData | null;
}

interface OptionsResponse {
    IsEnable: Option[];
    IsOrNot: Option[];
    Sex: Option[];
    CheckStatus: Option[];
    ServiceProjectType: Option[];
    DeleteFlag: Option[];
}




