package com.changhu.module.assessmentCriteria.pojo.params;

import com.changhu.common.db.enums.EnterprisesUnitType;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/11/6 上午10:31
 * @desc CkProjectSaveOrUpdateParams...
 */
@Data
public class CkGroupSaveOrUpdateParams {
    @Schema(description = "考核分组id")
    private Long snowFlakeId;

    @Schema(description = "考核项目id")
    @NotNull(message = "所属考核项目不能为空")
    private Long ckProjectId;

    @NotBlank(message = "考核组名不能为空")
    @Schema(description = "考核组名称")
    private String name;

    @NotNull(message = "考核组分数不能为空")
    @Schema(description = "考核组总分")
    private Integer totalScore;

    @Schema(description = "备注")
    private String remark;
}
