package com.changhu.module.assessmentCriteria.pojo.params;

import com.changhu.common.db.enums.SelectType;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/11/6 下午2:50
 * @desc CkStandardSaveOrUpdateParams...
 */
@Data
public class CkStandardSaveOrUpdateParams {
    @Schema(description = "考核标准id")
    private Long snowFlakeId;

    @NotNull
    @Schema(description = "考核项id")
    private Long ckItemId;

    @NotBlank(message = "标准名不能为空")
    @Schema(description = "标准名")
    private String name;

    @NotNull(message = "扣分值不能为空")
    @Schema(description = "扣分值")
    private Double deductionPoints;

}
