package com.changhu.module.management.pojo.params;

import com.changhu.common.db.enums.EnterprisesUnitType;
import com.changhu.module.management.pojo.model.ContactPersonInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import org.locationtech.jts.geom.Point;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/9/3 下午4:06
 * @desc EnterprisesUnitSaveOrUpdateParams...
 */
@Data
public class EnterprisesUnitSaveOrUpdateParams {

    @Schema(description = "id")
    private Long snowFlakeId;

    @Schema(description = "公安单位id")
    @NotNull(message = "公安单位不能为空")
    private Long policeUnitId;

    @Schema(description = "名称")
    @NotBlank(message = "名称不能为空")
    private String name;

    @Schema(description = "类型")
    @NotNull(message = "类型不能为空")
    private EnterprisesUnitType type;

    @Schema(description = "行政区划编码")
    @NotEmpty(message = "行政区划不能为空")
    private List<String> administrativeDivisionCodes;

    @Schema(description = "详细地址")
    private String address;

    @Schema(description = "坐标")
    private Point point;

    @Schema(description = "联系人")
    private ContactPersonInfo contactPersonInfo;

    @Schema(description = "备注")
    private String remark;
}
