import {SystemMenu} from "@/types/config";

export const CLIENT_TYPE = "MANAGEMENT_SUPER";
export const ROUTER_WHITE_LIST: string[] = ['/login', '/test'];
export const UNIT_TYPE = {
    security: 'SECURITY_UNIT',  //安全
    police: 'POLICE_UNIT'   //警察
}

export const SYSTEM_MENUS: SystemMenu[] = [
    {
        title: '首页',
        name: 'index',
        path: '/index',
        type: "menu",
        component: () => import('@/views/index.vue')
    }, {
        title: '单位管理',
        name: 'unitManage',
        path: '/unitManage',
        type: 'dir',
        children: [
            {
                title: '公安',
                name: 'police',
                path: '/police',
                type: 'dir',
                children: [{
                    title: '单位管理',
                    name: 'policeUnitManage',
                    path: '/police/unitManage',
                    type: 'menu',
                    component: () => import('@/views/unitManage/police/unitManage/index.vue')
                }, {
                    title: '考核标准',
                    name: 'policeAssessmentCriteria',
                    path: '/police/assessmentCriteria',
                    type: 'menu',
                    component: () => import('@/views/unitManage/police/assessmentCriteria/index.vue')
                }]
            }, {
                title: '保安单位',
                name: 'securityUnit',
                path: '/securityUnit',
                type: 'menu',
                component: () => import('@/views/unitManage/securityUnit/index.vue')
            }
        ]
    }, {
        title: '数据总览',
        name: 'dataOverview',
        path: '/dataOverview',
        type: 'menu',
        isFull: true,
        component: () => import('@/views/data/dataOverview.vue')
    }
]
